Subject: bug#13693: M-x grep should do some basic parameter checking

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Feb 2013 10:46:18 +0200

> $ emacs
> (grep "grep -nH -e love")
> Will always fail. And the user will think "well, I can't find the love
> letter she sent me, and thus can't find her address, so I will just give
> up," when all along he just forgot to give the filename.
>
> Whereas normally
> $ grep love
> would hang, waiting for input, so he would know that the relationship
> still had a chance, and it was just emacs that was the reason the two
> would have lost touch...

If you tend to forget the pattern or file argument there is a reliable grep
known as `M-x rgrep' that asks you what and where to search.